Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Module Effect

The Blender.Effect submodule

INTRODUCTION

The module effect allows you to access all the data of an effect. An effect can modify an object (typically a mesh) in three different ways.

a) the build effect : makes the mesh appear progressivly.

b) the wave effect : waves appear on the mesh (which should be fine-grained)

c) the particle effect : every vertex of the mesh emits particles, which can themselves emit new particles. This effect is the most parametrizable.

In the blender internals, the effect object is just a placeholder for the "real" effect, which can be a wave, particle or build effect. The python API follows this structure : the Effect module grants access to (the few) data which are shared between all effects. It has three submodules : Wave, Build, Particle , which grant r/w access to the real parameters of these effects.

Example:

     import Blender
           listffects = Blender.Effect.Get()
           print listeffects
           eff = listeffects[0]
           #we suppose the first effect is a build effect
           print eff.getLen()
           eff.setLen(500)

Classes |
`Effect` | This object gives access to generic data from all effects in Blender.

Function Summary |
Blender Effect or a list of Blender Effects | `Get(objname, position)` Get an Effect from Blender.
Blender Effect | `New(type)` Creates a new Effect.

Function Details |

Get(objname, position)

Get an Effect from Blender.

  Parameters:

    `objname` - The name of object to which is linked the effect.

    (type=string)

    `position` - The position of the effect in the list of effects liked to the object.

    (type=string)

  Returns:

    It depends on the 'objname,position' parameters:

    - (objname,position): The Effect linked to the given object at the given position;

    - (): A list with all Effects in the current scene.

    (type=Blender Effect or a list of Blender Effects)

New(type)

Creates a new Effect.

  Parameters:

    `type` - Effect type. Can be "wave", "particle" or "build"

    (type=string)

  Returns:

    The created Effect.

    (type=Blender Effect)

<<< Previous | Home | Next >>>
The Metaball object | Up | Class Effect